## org.openorb.PI
Interface ORBInitInfo

All Known Implementing Classes:
  OpenORBInitInfo

public interface ORBInitInfo

This interface must be implemented by the ORB Init Info class. The class is responsible for initializing the orb and setting up the various interceptors.

Overrides must have a constructor with exact signature:

     public ORBInitInfo( String [] args, org.openorb.CORBA.ORB orb,
      org.omg.PortableInterceptor.ORBInitializer [] orbInits,
        org.openorb.PI.FeatureInitializer [] featureInits)

The default implementation can be overriden by setting the org.openorb.PI.ORBInitInfo property with the classname of the override. Failure to load an instance results in an exception.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Method Summary
`void` `post_init()` Calls init on feature initializers and post init on orb initializers.
`void` `pre_init()` Call pre-init on the orb initializers and init on feature initializers.

Method Detail

### pre_init

    public void pre_init()

  Call pre-init on the orb initializers and init on feature initializers.

### post_init

    public void post_init()

  Calls init on feature initializers and post init on orb initializers. During the post_init phase, calls can be made on references returned from resolve_initial_reference, however client interceptors will not be used, the PICurrent will not have any active slots, and IORs cannot be constructed.